## org.eclipse.emf.codegen.ecore.genmodel.provider
Class GenModelEditPlugin

    java.lang.Object
      org.eclipse.emf.common.util.DelegatingResourceLocator
          org.eclipse.emf.common.EMFPlugin
              org.eclipse.emf.codegen.ecore.genmodel.provider.GenModelEditPlugin

All Implemented Interfaces:
  Logger, ResourceLocator

    public final class GenModelEditPlugin

extends EMFPlugin

This is the central singleton for the GenModel editor plugin.

Nested Class Summary
`static class` `GenModelEditPlugin.Implementation` The actual implementation of the Eclipse Plugin

Nested classes/interfaces inherited from class org.eclipse.emf.common.EMFPlugin
`EMFPlugin.EclipsePlugin, EMFPlugin.InternalEclipsePlugin, EMFPlugin.InternalHelper`

Field Summary
`static java.lang.String` `ID`
`static GenModelEditPlugin` `INSTANCE` Keep track of the singleton

Fields inherited from class org.eclipse.emf.common.EMFPlugin
`delegateResourceLocators, IS_ECLIPSE_RUNNING, IS_RESOURCES_BUNDLE_AVAILABLE`

Fields inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`baseURL, images, resourceBundle, shouldTranslate, strings, untranslatedResourceBundle, untranslatedStrings`

Constructor Summary
`GenModelEditPlugin()` Create the instance

Method Summary
`static GenModelEditPlugin.Implementation` `getPlugin()` Returns the singleton instance of the Eclipse plugin
`ResourceLocator` `getPluginResourceLocator()` Returns the singleton instance of the Eclipse plugin

Methods inherited from class org.eclipse.emf.common.EMFPlugin
`getDelegateResourceLocators, getPluginLogger, getPrimaryResourceLocator, getSymbolicName, log, main`

Methods inherited from class org.eclipse.emf.common.util.DelegatingResourceLocator
`delegatedGetImage, delegatedGetString, doGetImage, doGetString, extensionFor, getBaseURL, getImage, getString, getString, getString, getString, setShouldTranslate, shouldTranslate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.common.util.ResourceLocator
`getBaseURL, getImage, getString, getString, getString, getString`

Field Detail

### INSTANCE

    public static final GenModelEditPlugin INSTANCE

  Keep track of the singleton.

### ID

    public static final java.lang.String ID

See Also:
  Constant Field Values

Constructor Detail

### GenModelEditPlugin

    public GenModelEditPlugin()

  Create the instance.

Method Detail

### getPluginResourceLocator

    public ResourceLocator getPluginResourceLocator()

  Returns the singleton instance of the Eclipse plugin.

  Specified by:
    `getPluginResourceLocator` in class `EMFPlugin`
  Returns:
    the singleton instance.

### getPlugin

    public static GenModelEditPlugin.Implementation getPlugin()

  Returns the singleton instance of the Eclipse plugin.

  Returns:
    the singleton instance.

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.